#include "widget.h"
#include <QString>
#include <cmath>

Widget::Widget(QWidget *parent) :
    QWidget(parent)
{
    // Вывод компонентов
    knopka = new QPushButton(this);
    // tr() используется для перевода (локализации)
    knopka->setText(tr("Computing"));
    knopka->show();
    tpole_a = new QLineEdit(this);
    // Устанавливаем фокус на первое текстовое поле ввода
    tpole_a->setFocus();
    tpole_a->show();
    tpole_b = new QLineEdit(this);
    tpole_b->show();
    clabel = new QLabel(this);
    clabel->setFrameStyle(1);
    clabel->show();
    alabel = new QLabel("a = ", this);
    blabel = new QLabel("b = ", this);
    alabel->show();
    blabel->show();

    // Компановка QFormLayout
    // Для данного приложения - это самый компактный способ
    frmlayout = new QFormLayout;
    //Все поля будут увеличиваться, чтобы заполнить доступное место
    frmlayout->setFieldGrowthPolicy(QFormLayout::AllNonFixedFieldsGrow);
    frmlayout->addRow(alabel, tpole_a);
    frmlayout->addRow(blabel, tpole_b);
    frmlayout->addRow(knopka, clabel);
    setLayout(frmlayout);

    // Сигнал
    connect(knopka,SIGNAL(clicked()),this,SLOT(ptxt()));

}

void Widget::ptxt(){
// Функция определяет дествие в результате нажатия на кнопку
// (Функция слота)
    QString string = tpole_a->text();
    bool ok;
    double a = string.toDouble(&ok);
    string = tpole_b->text();
    double b = string.toDouble(&ok);
    double c = hypot(a,b);
    // Проверяем на правильный ввод
    if (ok!=0) {
        clabel->setNum(c);
    } else {
        string = "FALSE";
        clabel->setText(string);
    }

}
